> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/bg/dokumentaciya-na-api/kachvane-na-failove-s-geopard-api.md).

# Качване на файлове с GeoPard API

{% hint style="success" %}
Препоръчителният подход за файлове над 6 MB е [потокът с предварително подписан URL](/geopard-tutorials/bg/dokumentaciya-na-api/pregled-na-zayavkite-km-geopard-api/55.-kachvane-na-zip-failove-nad-6-mb.md).
{% endhint %}

GeoPard API позволява качване на ZIP архиви с набори от данни за почва/добив/приложени операции/граници за последваща обработка и анализ.

{% hint style="danger" %}
Поради ограничение в AWS, максималният размер на файла, който можете да качите през този REST endpoint, е 6 MB.
{% endhint %}

Стъпките за качване на файлове над 6 MB са описани в [Качване на ZIP файлове (над 6 MB)](/geopard-tutorials/bg/dokumentaciya-na-api/pregled-na-zayavkite-km-geopard-api/55.-kachvane-na-zip-failove-nad-6-mb.md).

Непосредствено след успешното качване на набора от данни за почва/добив/приложени операции, GeoPard engine го свързва със съответните полета, намиращи се в рамките на определената ферма.

Непосредствено след успешното качване на границата, GeoPard engine инициализира нейната обработка.

Отговорът съдържа `<uuid>` което можете да използвате за проследяване на състоянието на обработката.

#### Пример на заявка:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \\
--header 'Authorization: <token>' \\
--header 'Content-Type: application/zip' \\
--data-binary '@path/to/file.zip'
```

{% endcode %}

Параметрите са:

1. `<type>` - типът на качвания набор от данни. Трябва да е `добив` ИЛИ `почва` ИЛИ `приложени операции` ИЛИ `граница`.
2. `<farm_uuid>` - `uuid` на Фермата, в която ще бъде качен файлът (по избор).
3. `<token>` - токен за достъп до GeoPard.
4. `@path/to/file.zip` - пътят до файла, който се качва.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/dokumentaciya-na-api/kachvane-na-failove-s-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
